Bug 169931 - www/lighttpd port IPV6 option works in reverse
Summary: www/lighttpd port IPV6 option works in reverse
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 11:30 UTC by arnaud.houdelette
Modified: 2012-10-11 20:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arnaud.houdelette 2012-07-17 11:30:12 UTC
The IPV6 option of the lighttpd port does not works as expected : 

Enabling the options disable IPV6 support. Disabling the option enables IPV6 suport.

Fix: 

Correct the port Makefile : 

The following looks wrong

.if ${PORT_OPTIONS:MIPV6}
CONFIGURE_ARGS+=        --disable-ipv6
.endif

I do not know what it should be with the new option framework.
How-To-Repeat: cd /usr/ports/www/lighttpd
make config

enable IPV6

make && make install 

"lighttpd -V" outputs : 


Features:

        - IPv6 support
        + zlib support
        + bzip2 support
        + crypt support
        + SSL Support
        + PCRE support
        - mySQL support
        - LDAP support
        + memcached support
        - FAM support
        - LUA support
        + xml support
        + SQLite support
        - GDBM support
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-07-18 18:15:16 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2012-07-18 18:16:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2012-07-18 19:32:25 UTC
Author: mm
Date: Wed Jul 18 18:32:10 2012
New Revision: 301114
URL: http://svn.freebsd.org/changeset/ports/301114

Log:
  Fix IPv6 support broken in last update
  
  PR:		ports/169931
  Reported by:	Arnaud Houdelette

Modified:
  head/www/lighttpd/Makefile

Modified: head/www/lighttpd/Makefile
==============================================================================
--- head/www/lighttpd/Makefile	Wed Jul 18 18:29:39 2012	(r301113)
+++ head/www/lighttpd/Makefile	Wed Jul 18 18:32:10 2012	(r301114)
@@ -7,7 +7,7 @@
 
 PORTNAME?=	lighttpd
 PORTVERSION=	1.4.31
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES?=	www
 MASTER_SITES?=	http://download.lighttpd.net/lighttpd/releases-1.4.x/
 
@@ -120,7 +120,7 @@ LIB_DEPENDS+=		gdbm:${PORTSDIR}/database
 CONFIGURE_ARGS+=	--with-gdbm
 .endif
 
-.if ${PORT_OPTIONS:MIPV6}
+.if empty(PORT_OPTIONS:MIPV6)
 CONFIGURE_ARGS+=	--disable-ipv6
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Juergen Lock freebsd_committer 2012-10-11 20:26:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!